MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024791Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-03 14:532014-11-11 12:51
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024791: Visualization - highlighting is not cleared in local selection on some OpenGL drivers
DescriptionMisbehavior of GL drivers (NVIDIA and Intel, but not AMD) leads to wrong presentation - content of back buffer should be copied to front buffer but nothing is done.

The issue occurred after #0024637.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028657)
kgv (developer)
2014-04-03 14:57

Patch is ready for review in branch CR24791.
(0028672)
san (developer)
2014-04-04 11:14

Branch CR24791 reviewed without remarks, ready for testing.
(0028724)
apn (administrator)
2014-04-08 10:32
edited on: 2014-04-08 10:33

Dear BugMaster,

Branch CR24791 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: c99d839661d60fde8d3e971a7239ecef49491df6

Number of compiler warnings:

occt component :
Linux: 21 (21 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351554784 / 352015388
Total CPU difference: 56309.4499999998 / 50789.11000000014

Testing on Windows:
Total MEMORY difference: 381164156 / 381244252
Total CPU difference: 34249.40625 / 36679.046875

There are no differences in images found by testdiff.


- Related Changesets
occt: master 65812bd0
Timestamp: 2014-04-03 10:56:54
Author: kgv
Committer: apn
Details ] Diff ]
0024791: Visualization - highlighting is not cleared in local selection on some OpenGL drivers

Force GL commands execution by glFlush().
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-03 14:53 kgv New Issue
2014-04-03 14:53 kgv Assigned To => san
2014-04-03 14:54 kgv Relationship added related to 0024637
2014-04-03 14:55 kgv Assigned To san => kgv
2014-04-03 14:55 kgv Status new => assigned
2014-04-03 14:55 kgv Description Updated View Revisions
2014-04-03 14:57 kgv Note Added: 0028657
2014-04-03 14:57 kgv Assigned To kgv => san
2014-04-03 14:57 kgv Status assigned => resolved
2014-04-03 14:58 kgv Description Updated View Revisions
2014-04-04 11:14 san Note Added: 0028672
2014-04-04 11:14 san Assigned To san => bugmaster
2014-04-04 11:14 san Status resolved => reviewed
2014-04-04 16:26 abv Target Version 6.7.1 => 6.8.0
2014-04-04 18:11 mkv Assigned To bugmaster => apn
2014-04-08 10:32 apn Note Added: 0028724
2014-04-08 10:33 apn Note Edited: 0028724 View Revisions
2014-04-08 10:33 apn Test case number => Not needed
2014-04-08 10:33 apn Assigned To apn => bugmaster
2014-04-08 10:33 apn Status reviewed => tested
2014-04-11 14:43 apn Changeset attached => occt master 65812bd0
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker